<template>
  <div class="mobMenu">
    <div class="profile">
      <a href="/signin"><img src="@/assets/mobMenu/user.png" /></a>
      <p>Please register․․</p>
    </div>
    <ul>
      <transition name="animate1">
        <router-link v-if="show" to="/" tag="li"
          ><img src="@/assets/mobMenu/home.svg" /><a href="/"
            >home</a
          ></router-link
        >
      </transition>
      <transition name="animate2">
        <router-link v-if="show" to="/news" tag="li"
          ><img src="@/assets/mobMenu/home.svg" /><a href="/news"
            >news</a
          ></router-link
        >
      </transition>
      <transition name="animate3">
        <router-link v-if="show" to="/library" tag="li"
          ><img src="@/assets/mobMenu/home.svg" /><a href="/library"
            >library</a
          ></router-link
        >
      </transition>
      <transition name="animate4">
        <router-link v-if="show" to="/films" tag="li"
          ><img src="@/assets/mobMenu/home.svg" /><a href="/films"
            >films</a
          ></router-link
        >
      </transition>
      <transition name="animate5">
        <router-link v-if="show" to="/films" tag="li"
          ><img src="@/assets/mobMenu/home.svg" /><a href="/about"
            >about as</a
          ></router-link
        >
      </transition>
    </ul>
  </div>
</template>

<script>
export default {
  props: {
    showMobLinks: Boolean,
  },
  data() {
    return {
      show: false,
    };
  },
  mounted() {
    this.show = this.showMobLinks;
  },
};
</script>
<style lang='scss'>
.animate1-enter-active {
  transition: all 0.5s;
}
.animate1-enter {
  transform: translateX(20px);
  opacity: 0;
}
.animate2-enter-active {
  transition: all 0.5s;
  transition-delay: 0.1s;
}
.animate2-enter {
  transform: translateX(20px);
  opacity: 0;
}
.animate3-enter-active {
  transition: all 0.5s;
  transition-delay: 0.2s;
}
.animate3-enter {
  transform: translateX(20px);
  opacity: 0;
}
.animate4-enter-active {
  transition: all 0.5s;
  transition-delay: 0.3s;
}
.animate4-enter {
  transform: translateX(20px);
  opacity: 0;
}
.animate5-enter-active {
  transition: all 0.5s;
  transition-delay: 0.4s;
}
.animate5-enter {
  transform: translateX(20px);
  opacity: 0;
}
.mobMenu {
  position: absolute;
  z-index: 2;
  right: 2vw;
  width: 49vw;
  .profile {
    display: flex;
    align-items: center;
    flex-direction: column;
    .animate1 {
      transition-delay: 1s;
    }
    .animate2 {
      transition-delay: 1s;
    }
    .animate3 {
      transition-delay: 1s;
    }
    .animate3 {
      transition-delay: 3s !important;
    }
    .animate3 {
      transition-delay: 1s;
    }
    img {
      width: 50px;
      height: 50px;
    }
    p {
      color: rgb(55, 55, 55);
      font-style: italic;
      margin-bottom: 1vh;
    }
  }
  ul {
    padding-inline-start: 0px;
    width: 100%;
    margin-right: 1vw;
    li {
      cursor: pointer;
      display: flex;
      padding-left: 30px;
      align-items: center;
      margin-bottom: 3vh;
      list-style: none;
      img {
        width: 20px;
      }
      a {
        color: rgb(255, 255, 255);
        list-style: none;
        margin-left: 10px;
        text-decoration: none;
        text-transform: uppercase;
      }
      &.router-link-active {
        padding-left: 10px;
        border-radius: 25px;
        padding-right: 10px;
        background: black;
        font-size: 30px;
        img {
          width: 30px;
        }
      }
    }
  }
}
</style>